cURL
curl --request GET \
--url https://api.henrikdev.xyz/valorant/v2/leaderboard/{affinity}import requests
url = "https://api.henrikdev.xyz/valorant/v2/leaderboard/{affinity}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.henrikdev.xyz/valorant/v2/leaderboard/{affinity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"immortal_1_threshold": 123,
"immortal_2_threshold": 123,
"immortal_3_threshold": 123,
"last_update": 123,
"next_update": 123,
"players": [
{
"IsAnonymized": true,
"IsBanned": true,
"PlayerCardID": "<string>",
"TitleID": "<string>",
"competitiveTier": 1,
"gameName": "<string>",
"leaderboardRank": 1,
"numberOfWins": 1,
"rankedRating": 1,
"tagLine": "<string>",
"puuid": "<string>"
}
],
"radiant_threshold": 123,
"total_players": 123
}{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}valorant
Get valorantv2leaderboard
GET
/
valorant
/
v2
/
leaderboard
/
{affinity}
cURL
Path Parameters
Region/affinity (e.g., na, eu, ap, kr)
Query Parameters
Season ID (optional)
Player name to search for (optional)
Player tag to search for (optional)
Player UUID to search for (optional)
Response
Leaderboard retrieved successfully
Show child attributes
Show child attributes
⌘I
